Skip to main content
GET
/
api
/
v1
/
insights
/
folders
/
{folder_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.insights.folders.getById({
    folderId: 982079,
  });

  console.log(result);
}

run();
{
  "name": "<string>",
  "id": 123,
  "last_updated_by": "<string>",
  "folder_stats": {},
  "label": "support",
  "description": "Call recordings related to customer complaints",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

folder_id
integer
required

Response

Successful Response

Response model for an insight upload folder details.

name
string
required

Human-readable name of insight folder

Example:

"customer-complaints"

id
integer
required

System-assign folder ID

Example:

182764

last_updated_by
string
required

Email of user who last updated upload folder

folder_stats
Folder Stats · object
required

Meta-data of insight upload files associated with the folder

Example:
{
"count": 10,
"total_duration": "10:00:00",
"total_size": "213MB"
}
label
string | null

optional label assigned to insight folder

Example:

"support"

description
string | null

Text description of insight upload folder

Example:

"Call recordings related to customer complaints"

created_at
string<date-time>

Timestamp at which insight upload folder was created

Example:

"2026-02-03T00:00:00Z"

updated_at
string<date-time>

Timestamp at which insight upload folder was last updated

Example:

"2026-02-04T00:00:00Z"